import { CompletionFunc } from '@pnpm/command';
import { Config } from '@pnpm/config';
import { OutdatedPackage } from '@pnpm/outdated';
import { OutdatedWithVersionDiff } from './utils';
export declare function rcOptionsTypes(): {
    compatible: BooleanConstructor;
    table: BooleanConstructor;
};
export declare const cliOptionsTypes: () => {
    recursive: BooleanConstructor;
    compatible: BooleanConstructor;
    table: BooleanConstructor;
};
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export declare const completion: CompletionFunc;
export declare type OutdatedCommandOptions = {
    compatible?: boolean;
    long?: boolean;
    recursive?: boolean;
    table?: boolean;
} & Pick<Config, 'allProjects' | 'alwaysAuth' | 'ca' | 'cacheDir' | 'cert' | 'dev' | 'dir' | 'engineStrict' | 'fetchRetries' | 'fetchRetryFactor' | 'fetchRetryMaxtimeout' | 'fetchRetryMintimeout' | 'fetchTimeout' | 'global' | 'httpProxy' | 'httpsProxy' | 'key' | 'localAddress' | 'lockfileDir' | 'networkConcurrency' | 'noProxy' | 'offline' | 'optional' | 'production' | 'rawConfig' | 'registries' | 'selectedProjectsGraph' | 'strictSsl' | 'tag' | 'userAgent'> & Partial<Pick<Config, 'userConfig'>>;
export declare function handler(opts: OutdatedCommandOptions, params?: string[]): Promise<{
    output: string;
    exitCode: number;
}>;
export declare function getCellWidth(data: string[][], columnNumber: number, maxWidth: number): number;
export declare function toOutdatedWithVersionDiff<T>(outdated: T & OutdatedPackage): T & OutdatedWithVersionDiff;
export declare function renderPackageName({ belongsTo, packageName }: OutdatedPackage): string;
export declare function renderCurrent({ current, wanted }: OutdatedPackage): string;
export declare function renderLatest(outdatedPkg: OutdatedWithVersionDiff): string;
export declare function renderDetails({ latestManifest }: OutdatedPackage): string;
